Exec: "C:\\Users \\USER \\AppData \\Local \\Arduino15 \\packages \\esp8266 \\tools\\python3\\3.7.2-post1/python3" : file does not exist Error compiling for board NodeMCU 1.0 (ESP-12E Module) .แก้ไง ครับ

มือ ใหม่ พึ่ง เริ่ม ครับ

#define BLYNK_PRINT Serial


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "uvjySh_k0fe64AXaw31shHl2K9Dh_khF";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "ATJJ_2.4G";
char pass[] = "AT18JJ21";

void setup()
{
  // Debug console
  Serial.begin(115200);

  Blynk.begin(auth, ssid, pass);
}

void loop()
{
  Blynk.run();
}
Error
Arduino: 1.8.12 (Windows 10), Board: "NodeMCU 1.0 (ESP-12E Module), 80 MHz, Flash, Legacy (new can return nullptr), All SSL ciphers (most compatible), 4MB (FS:2MB OTA:~1019KB), 2, v2 Lower Memory, Disabled, None, Only Sketch, 115200"

exec: "C:\\Users\\USER\\AppData\\Local\\Arduino15\\packages\\esp8266\\tools\\python3\\3.7.2-post1/python3": file does not exist
Error compiling for board NodeMCU 1.0 (ESP-12E Module).

วางโค้ตที่ใช้ และ copy error ตัวเต็มมาวางให้ด้วยครับ

ตอนลงใช้ verion ไหนครับ แคปมาดูหน่อย

image

1 Like

ถอยหลังมาหนึ่ง version แล้วลอง verify โค้ตเดิมดูครับ

1 Like

ขึ้นอย่างนี้แทนครับ

ได้แล้วครับลืมเปลี่ยนboardใหม่ ขอบคุณครับ :slight_smile:

สรุปหน่อยครับ ว่าทำอะไรถึงได้

จากปัญหานะครับลองไปเปลี่ยนversonลดลงไปหนึ่งตามคำแนะนำก็ใช้ได้แล้วครับแล้วพอเปลี่ยนverson ตรงTools/board มันเปลี่ยนเป็นarduino yum ก็ต้องเปลี่ยนกลับเป็นboardเดิมครับ

1 Like

สอบถามหน่อยครับถ้าผมจะต่อยอดทำรถบังคับอะครับ code board nodemcu v2 ใช่ได้กัย v3ไหมครับ

ใช้ได้ไม่ต่างกันครับ